<?php
/**
 * 后台管理菜单项
 *
 * @version        $Id: inc_menu.php 1 10:32 2010年7月21日Z tony $
 * @package        AiteCMS.Administrator
 * @copyright      Copyright (c) 2007 - 2010, AiteCMS, Inc.
 * @link           http://www.aitecms.com
 */
require_once(dirname(__FILE__)."/../config.php");

require(DEDEINC.'/dedehttpdown.class.php');

//载入可发布频道
$addset = '';

//检测可用的内容模型
if($cfg_admin_channel = 'array' && count($admin_catalogs) > 0)
{
    $admin_catalog = join(',', $admin_catalogs);
    $dsql->SetQuery(" SELECT channeltype FROM `#@__arctype` WHERE id IN({$admin_catalog}) GROUP BY channeltype ");
}
else
{
    $dsql->SetQuery(" SELECT channeltype FROM `#@__arctype` GROUP BY channeltype ");
}
$dsql->Execute();
$candoChannel = '';
while($row = $dsql->GetObject())
{
    $candoChannel .= ($candoChannel=='' ? $row->channeltype : ','.$row->channeltype);
}
if(empty($candoChannel)) $candoChannel = 1;
$dsql->SetQuery("SELECT id,typename,addcon,mancon FROM `#@__channeltype` WHERE id IN({$candoChannel}) AND id<>-1 AND isshow=1 ORDER BY id ASC");
$dsql->Execute();
while($row = $dsql->GetObject())
{
    $addset .= "  <m:item name='{$row->typename}' ischannel='1' link='{$row->mancon}?channelid={$row->id}' linkadd='{$row->addcon}?channelid={$row->id}' channelid='{$row->id}' rank='' target='main' />\r\n";
}
//////////////////////////

$adminMenu1 = $adminMenu2 = '';
if($cuserLogin->getUserType() >= 10)
{
    $adminMenu1 = "
";
$adminMenu2 = "




    ";
}






$remoteMenu = ($cfg_remote_site=='Y')? "<m:item name='远程服务器同步' link='makeremote_all.php' rank='sys_ArcBatch' target='main' />" : "";
$menusMain = "
-----------------------------------------------

<m:top item='1_' name='常用操作' display='block'>
   <m:item name='栏目管理' link='catalog_main.php' ischannel='1' addalt='创建栏目' linkadd='catalog_add.php?listtype=all' rank='t_List,t_AccList' target='main' />
   <m:item name='所有文档' link='content_list.php' rank='a_List,a_AccList' target='main' />
   <m:item name='发布文档' link='article_add.php' rank='a_List,a_AccList' target='main' />
   <m:item name='碎片管理' link='ad_main.php' target='main' />
  
 
  
</m:top>
<m:top item='1_' name='网站功能' display='none' rank='sys_Upload,sys_MyUpload,plus_网站功能'>
    <m:item name='模板管理' link='templets_main.php' rank='temp_All' target='main'/>  
    <m:item name='幻灯设置' link='ppt_main.php' rank='sys_Edit' target='main' />
    <m:item name='友情链接' link='friendlink_main.php' rank='sys_Edit' target='main' />
    <m:item name='在线留言' link='diy_list.php?action=list&diyid=1' rank='sys_Edit' target='main' />
	<m:item name='备份还原' link='sys_data.php' rank='sys_Data' target='main' />
    <m:item name='系统更新' link='update_guide.php' rank='sys_Data' target='main ' />


</m:top>

$adminMenu1

 


-----------------------------------------------
";